
## What does this package do?


Its use to postpone zone.js download and bootstrap until the moment you chose to do so.
The download & bootstrap of zone takes precious time in application bootstrap.
Since Angular bootstrap is independent of zone, there's no reason to have its dependency in bootstrap.

After you chose to download & bootstrap zone (this package will do it for you) - everything is completely normal.
Angular change detection mechanizm will work exactly like it would in a Getting Started app.




## How to use this package?

`npm install --save-dev lazy-ng-zone`

1. In your app.module.ts add:
    `{ provide: NgZone, useValue: LazyNgZone.LazyNgZone.create(timer(10000)) }`

    Like this:
    ```
    import * as LazyNgZone from 'lazy-ng-zone';

    @NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        BrowserModule
    ],
    providers: [
        { provide: NgZone, useValue: LazyNgZone.LazyNgZone.create(timer(10000))}
    ],
    bootstrap: [AppComponent]
    })
    export class AppModule { }
    ```

2. In main.ts add:
    ```
    platformBrowserDynamic().bootstrapModule(AppModule, {
    ngZone: LazyNgZone.LazyNgZone.get
    })
    ```

3. In polyfills.ts comment this line:
    `// import 'zone.js/dist/zone';  // Included with Angular CLI.`

    For any issues,
    Please contant me in razronen1@gmail.com.
    Thanks!